await this.actor.addCondition("prone");

const test = await this.actor.setupSkill(game.i18n.localize("NAME.Dodge"), {
  skipTargets: true,
  appendTitle: ` - ${this.effect.name}`,
  fields: {difficulty: "difficult"},
  context: {
    failure: `Erleidet 8 Schaden.`,
    success: `Erleidet 4 Schaden.`
  }
})

await test.roll();
const damage = test.failed ? 8 : 4;

await this.actor.applyBasicDamage(damage, {damageType: game.wfrp4e.config.DAMAGE_TYPE.IGNORE_AP, loc: "roll"});